## org.apache.batik.dom.util
Class TriplyIndexedTable.Entry

    java.lang.Object
      org.apache.batik.dom.util.TriplyIndexedTable.Entry

Enclosing class:
  TriplyIndexedTable

    protected static class TriplyIndexedTable.Entry

extends java.lang.Object

To manage collisions

Field Summary
`int` `hash` The hash code
`java.lang.Object` `key1` The first key
`java.lang.Object` `key2` The second key
`java.lang.Object` `key3` The third key
`TriplyIndexedTable.Entry` `next` The next entry
`java.lang.Object` `value` The value

Constructor Summary
`TriplyIndexedTable.Entry(int hash, java.lang.Object key1, java.lang.Object key2, java.lang.Object key3, java.lang.Object value, TriplyIndexedTable.Entry next)` Creates a new entry

Method Summary
`boolean` `match(java.lang.Object o1, java.lang.Object o2, java.lang.Object o3)` Whether this entry matches the given keys.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hash

    public int hash

  The hash code

### key1

    public java.lang.Object key1

  The first key

### key2

    public java.lang.Object key2

  The second key

### key3

    public java.lang.Object key3

  The third key

### value

    public java.lang.Object value

  The value

### next

    public TriplyIndexedTable.Entry next

  The next entry

Constructor Detail

### TriplyIndexedTable.Entry

    public TriplyIndexedTable.Entry(int hash,
                                    java.lang.Object key1,
                                    java.lang.Object key2,
                                    java.lang.Object key3,
                                    java.lang.Object value,
                                    TriplyIndexedTable.Entry next)

  Creates a new entry

Method Detail

### match

    public boolean match(java.lang.Object o1,
                         java.lang.Object o2,
                         java.lang.Object o3)

  Whether this entry matches the given keys.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.